MeasurementTool stays active (or at least isn't removed) after changing Tool
Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:3.3(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 27971

Description

See screenshot rulerPanToolActive.png while the pantool is active, the lines drawn by the measurementtool are still viewable.

To reproduce:

When you start the measurement tool (ruler), the 'line ruler' dialog is shown and you can measure some lines.

Then (without closing the dialog!) select the Area-measurement tool.

The ruler dialog is changed by the area dialog, but the line keeps viewable in the mapcanvas.

When you then close the area dialog, the ruler line stays on the canvas.

Even closing the project and creating a new one, the ruler stays being painted even when you create a fresh project:

'rulerNewProject.png'

ONLY when you reopen the Measure Line tool and close the dialog the line is removed.

To me this looks like the Measure Line Tool keeps having a feature painting on the mapcanvas even if not active.

While I think it should be stopped (and ruler cleaned) as soon as the dialog is hidden?

History

#1 - 2018-10-18 02:02 PM - Giovanni Manghi

isn't this a regression?

#2 - 2018-10-18 02:02 PM - Giovanni Manghi

- Status changed from Open to Feedback

#3 - 2018-10-18 03:07 PM - Richard Duivenvoorde

No, it is not a regression for what I know, because it also happens in a QGIS 2.18.24 that I have here.

So apparently this is an older issue, but I just mentioned it working in QGIS 3x.

#4 - 2019-02-23 08:37 PM - Jürgen Fischer

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Bulk closing 82 tickets in feedback state for more than 90 days affecting an old version.  Feel free to reopen if it still applies to a current version and you
have more information that clarify the issue.
